net.minecraft.client.model

## Class ModelMagmaCube

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelMagmaCube

-     public class ModelMagmaCube
      extends ModelBase

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelMagmaCube()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_78107_a()`
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
    `void` | `setLivingAnimations(EntityLiving par1EntityLiving, float par2, float par3, float par4)` Used for easily adding entity-dependent animations.

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `func_85181_a, getTextureOffset, setRotationAngles`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelMagmaCube

          public ModelMagmaCube()

  - ### Method Detail

    - #### func_78107_a

          public int func_78107_a()

    - #### setLivingAnimations

          public void setLivingAnimations(EntityLiving par1EntityLiving,
                                 float par2,
                                 float par3,
                                 float par4)

      Used for easily adding entity-dependent animations. The second and third float params here are the same second and third as in the setRotationAngles method.
      Overrides:
        `setLivingAnimations` in class `ModelBase`

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Sets the models various rotation angles then renders the model.
      Overrides:
        `render` in class `ModelBase`